> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stackone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employee



## OpenAPI

````yaml get /unified/hris/employees/{id}
openapi: 3.1.0
info:
  title: HRIS
  description: The documentation for the StackOne Unified API - HRIS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.stackone.com
security: []
tags:
  - name: Benefits
    description: Employee benefits and entitlements.
  - name: Companies
    description: Organizations or legal entities.
  - name: Custom Field Definitions
    description: Definitions for custom fields.
  - name: Documents
    description: Employee related documents.
  - name: Employees
    description: People employed by the company.
  - name: Employments
    description: Details of an employee's employment.
  - name: Groups
    description: Organizational groups or teams.
  - name: Jobs
    description: Job positions or roles.
  - name: Locations
    description: Physical or virtual work locations.
  - name: Positions
    description: Job positions available for hiring.
  - name: Shifts
    description: Employee work shifts and schedules.
  - name: Skills
    description: Skills and competencies tracked for employees.
  - name: Tasks
    description: Tasks or assignments for employees.
  - name: Time Entries
    description: Records of hours worked or activities performed.
  - name: Time Off
    description: Employee leave and time off records.
  - name: Time Off Balances
    description: Available leave balances for employees.
  - name: Time Off Policies
    description: Rules and policies for employee leave.
  - name: Training
    description: Training records for employees.
  - name: Training Content
    description: Training content for employees.
  - name: Work Eligibility
    description: Eligibility status for employment.
paths:
  /unified/hris/employees/{id}:
    get:
      tags:
        - Employees
      summary: Get Employee
      operationId: hris_get_employee
      parameters:
        - name: x-account-id
          in: header
          description: The account identifier
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: raw
          required: false
          in: query
          description: >-
            Indicates that the raw request result should be returned in addition
            to the mapped result (default value is false)
          schema:
            nullable: true
            type: boolean
        - name: proxy
          required: false
          in: query
          description: >-
            Query parameters that can be used to pass through parameters to the
            underlying provider request by surrounding them with 'proxy' key
          style: deepObject
          explode: true
          schema:
            additionalProperties: true
            nullable: true
            type: object
        - name: fields
          required: false
          in: query
          description: >-
            The comma separated list of fields that will be returned in the
            response (if empty, all fields are returned)
          schema:
            nullable: true
            example: >-
              id,remote_id,title,first_name,last_name,name,display_name,gender,ethnicity,date_of_birth,birthday,marital_status,avatar_url,avatar,personal_email,personal_phone_number,work_email,work_phone_number,job_id,remote_job_id,job_title,job_description,department_id,remote_department_id,department,cost_centers,company,manager_id,remote_manager_id,hire_date,start_date,tenure,work_anniversary,employment_type,employment_contract_type,employment_status,termination_date,company_name,company_id,remote_company_id,preferred_language,citizenships,home_location,work_location,employments,custom_fields,created_at,updated_at,benefits,employee_number,national_identity_number,national_identity_numbers,bank_details,skills,unified_custom_fields
            type: string
        - name: expand
          required: false
          in: query
          description: >-
            The comma separated list of fields that will be expanded in the
            response
          schema:
            nullable: true
            example: company,employments,work_location,home_location,groups,skills
            type: string
        - name: include
          required: false
          in: query
          description: >-
            The comma separated list of fields that will be included in the
            response
          schema:
            nullable: true
            example: >-
              avatar_url,avatar,custom_fields,job_description,benefits,bank_details
            type: string
        - name: Prefer
          in: header
          required: false
          description: >-
            Set to "heartbeat" to enable keep-alive newline heartbeats during
            long-running requests. Response includes Preference-Applied:
            heartbeat header when honored. (RFC 7240)
          schema:
            type: string
            example: heartbeat
      responses:
        '200':
          description: The employee with the given identifier was retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmployeeResult'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '401':
          description: Unauthorized access.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenResponse'
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
        '408':
          description: The request has timed out.
          headers:
            Retry-After:
              description: A time in seconds after which the request can be retried.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestTimedOutResponse'
        '409':
          description: Conflict with current state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConflictResponse'
        '412':
          description: >-
            Precondition failed: linked account belongs to a disabled
            integration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PreconditionFailedResponse'
        '422':
          description: Validation error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableEntityResponse'
        '429':
          description: Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsResponse'
        '500':
          description: Server error while executing the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
        '501':
          description: This functionality is not implemented.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotImplementedResponse'
        '502':
          description: Bad gateway error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadGatewayResponse'
      security:
        - basic: []
components:
  schemas:
    EmployeeResult:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Employee'
        raw:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/RawResponse'
      required:
        - data
    BadRequestResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
        message:
          type: string
          description: Error message
          example: Bad Request
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
        data:
          description: Error details
          nullable: true
          allOf:
            - $ref: '#/components/schemas/UnifiedError'
        provider_errors:
          description: List of provider-specific errors
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ProviderError'
      required:
        - statusCode
        - message
        - timestamp
    UnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 401
        message:
          type: string
          description: Error message
          example: Unauthorized
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 403
        message:
          type: string
          description: Error message
          example: Forbidden resource
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotFoundResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 404
        message:
          type: string
          description: Error message
          example: Not Found
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    RequestTimedOutResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 408
        message:
          type: string
          description: Error message
          example: Request timed out
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ConflictResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 409
        message:
          type: string
          description: Error message
          example: Conflict
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    PreconditionFailedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 412
        message:
          type: string
          description: Error message
          example: Precondition failed
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    UnprocessableEntityResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 422
        message:
          type: string
          description: Error message
          example: Unprocessable Entity
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    TooManyRequestsResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 429
        message:
          type: string
          description: Error message
          example: Too many requests
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    InternalServerErrorResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 500
        message:
          type: string
          description: Error message
          example: Internal server error
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotImplementedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 501
        message:
          type: string
          description: Error message
          example: Not Implemented
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    BadGatewayResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 502
        message:
          type: string
          description: Error message
          example: Bad Gateway
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    Employee:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        unified_custom_fields:
          type: object
          description: Custom Unified Fields configured in your StackOne project
          additionalProperties: true
          example:
            my_project_custom_field_1: REF-1236
            my_project_custom_field_2: some other value
          nullable: true
        title:
          type: string
          description: The prefix of the employee's name (e.g., Mr, Ms, Dr)
          example: Mr
          nullable: true
        first_name:
          type: string
          description: The employee first name
          example: Isaac
          nullable: true
        last_name:
          type: string
          description: The employee last name
          example: Newton
          nullable: true
        name:
          type: string
          description: The employee name
          example: Isaac Newton
          nullable: true
        display_name:
          type: string
          description: The employee display name
          example: Sir Isaac Newton
          nullable: true
        avatar_url:
          type: string
          description: The employee avatar Url
          example: https://example.com/avatar.png
          nullable: true
        personal_email:
          type: string
          description: The employee personal email
          example: isaac.newton@example.com
          nullable: true
        personal_phone_number:
          type: string
          description: The employee personal phone number
          example: '+1234567890'
          nullable: true
        work_email:
          type: string
          description: The employee work email
          example: newton@example.com
          nullable: true
        work_phone_number:
          type: string
          description: The employee work phone number
          example: '+1234567890'
          nullable: true
        job_id:
          type: string
          description: The employee job id
          example: '5290'
          deprecated: true
          nullable: true
        job_title:
          type: string
          description: The employee job title
          example: Physicist
          nullable: true
        job_description:
          description: The employee job description
          example: Testing the laws of motion
          deprecated: true
          nullable: true
          allOf:
            - $ref: '#/components/schemas/JobDescriptionApiModel'
        department_id:
          type: string
          description: The employee department id
          example: '3093'
          deprecated: true
          nullable: true
        department:
          type: string
          description: The employee department
          example: Physics
          deprecated: true
          nullable: true
        groups:
          description: The employee groups
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/HRISGroup'
        cost_centers:
          description: The employee cost centers
          deprecated: true
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/CostCenters'
        manager_id:
          type: string
          description: The employee manager ID
          example: '67890'
          deprecated: true
          nullable: true
        remote_manager_id:
          type: string
          description: Provider's unique identifier of the manager
          example: e3cb75bf-aa84-466e-a6c1-b8322b257a48
          deprecated: true
          nullable: true
        gender:
          description: The employee gender
          example: male
          nullable: true
          allOf:
            - $ref: '#/components/schemas/GenderEnum'
        preferred_language:
          description: The employee preferred language
          example: en_US
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PreferredLanguageEnum'
        ethnicity:
          description: The employee ethnicity
          example: white
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EthnicityEnum'
        date_of_birth:
          type: string
          description: The date when the employee was born
          example: '1990-01-01T00:00:00.000Z'
          format: date-time
          nullable: true
        birthday:
          type: string
          description: The next birthday of the employee (upcoming birthday)
          example: '2021-01-01T00:00:00Z'
          format: date-time
          nullable: true
        marital_status:
          description: The employee marital status
          example: single
          nullable: true
          allOf:
            - $ref: '#/components/schemas/MaritalStatusEnum'
        avatar:
          description: The employee avatar
          example: https://example.com/avatar.png
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Image'
        hire_date:
          type: string
          description: The employee hire date
          example: '2021-01-01T00:00:00.000Z'
          format: date-time
          nullable: true
        start_date:
          type: string
          description: The employee start date
          example: '2021-01-01T00:00:00.000Z'
          format: date-time
          nullable: true
        tenure:
          type: number
          description: The employee tenure
          example: 2
          nullable: true
        work_anniversary:
          type: string
          description: The employee work anniversary
          example: '2021-01-01T00:00:00Z'
          format: date-time
          nullable: true
        employment_type:
          description: The employee employment type
          example: full_time
          deprecated: true
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmploymentTypeEnum'
        employment_contract_type:
          description: The employment work schedule type (e.g., full-time, part-time)
          example: full_time
          deprecated: true
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmploymentScheduleTypeEnum'
        employment_status:
          description: The employee employment status
          example: active
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmploymentStatusEnum'
        termination_date:
          type: string
          description: The employee termination date
          example: '2021-01-01T00:00:00Z'
          format: date-time
          nullable: true
        company_name:
          type: string
          description: The employee company name
          example: Example Corp
          deprecated: true
          nullable: true
        company_id:
          type: string
          description: The employee company id
          example: '1234567890'
          nullable: true
        citizenships:
          description: The citizenships of the Employee
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/CountryCodeEnum'
        home_location:
          description: The employee home location
          nullable: true
          allOf:
            - $ref: '#/components/schemas/HRISLocation'
        work_location:
          description: The employee work location
          nullable: true
          allOf:
            - $ref: '#/components/schemas/HRISLocation'
        company:
          description: The employee company
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Company'
        employments:
          description: The employee employments
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/Employment'
        custom_fields:
          description: The employee custom fields
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/CustomFields'
        benefits:
          description: Current benefits of the employee
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/HRISBenefit'
        employee_number:
          type: string
          description: The assigned employee number
          example: '125'
          nullable: true
        bank_details:
          description: Bank account details for the employee
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/HRISBankDetails'
        national_identity_number:
          description: The national identity number
          deprecated: true
          nullable: true
          allOf:
            - $ref: '#/components/schemas/NationalIdentityNumberApiModel'
        national_identity_numbers:
          description: The national identity numbers
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/NationalIdentityNumberApiModel'
        skills:
          description: The employee skills
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/EntitySkills'
        created_at:
          type: string
          description: The created_at date
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
        updated_at:
          type: string
          description: The updated_at date
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
    RawResponse:
      type: object
      properties:
        method:
          type: string
        url:
          type: string
        body:
          oneOf:
            - type: string
            - type: object
            - type: array
              items:
                type: integer
                format: int32
                minimum: 0
                maximum: 255
          additionalProperties: true
          nullable: true
        response:
          oneOf:
            - type: object
              additionalProperties: true
            - type: array
              items: {}
            - type: string
          nullable: true
      required:
        - method
        - url
    UnifiedError:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
          nullable: true
        message:
          type: string
          description: Error message
          example: Bad Request
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    ProviderError:
      type: object
      properties:
        status:
          type: number
          description: HTTP status code of the provider error
          example: 400
          nullable: true
        url:
          type: string
          description: URL that caused the error
          example: https://api.provider.com/v1/resource
          nullable: true
        raw:
          type: object
          description: Raw error response from the provider
          example:
            message: Invalid input parameters
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    JobDescriptionApiModel:
      type: object
      properties:
        text:
          type: string
          example: Testing the laws of motion
          nullable: true
    HRISGroup:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        unified_custom_fields:
          type: object
          description: Custom Unified Fields configured in your StackOne project
          additionalProperties: true
          example:
            my_project_custom_field_1: REF-1236
            my_project_custom_field_2: some other value
          nullable: true
        name:
          type: string
          description: The name of the group
          example: Engineering
          nullable: true
        parent_ids:
          description: The list of parent group ids of the given group
          example:
            - cxIQNjUyNDM0
            - cxIQNjQzNzI0MQ
          nullable: true
          type: array
          items:
            type: string
        remote_parent_ids:
          description: Provider's list of parent group remote ids of the given group
          example:
            - '652434'
            - '6437241'
          nullable: true
          type: array
          items:
            type: string
        owner_ids:
          description: The list of group owner ids of the given group
          example:
            - cxIQNjUyEDM0
            - cxIQNjQzNzA0MQ
          nullable: true
          type: array
          items:
            type: string
        remote_owner_ids:
          description: The list of remote group owner ids of the given group
          example:
            - '475364'
            - '4327652'
          nullable: true
          type: array
          items:
            type: string
        company_id:
          type: string
          description: The id of the company that the group belongs to
          example: '1234567890'
          nullable: true
        remote_company_id:
          type: string
          description: Provider's id of the company that the group belongs to
          example: '1234567890'
          nullable: true
        type:
          description: The type of the group
          nullable: true
          allOf:
            - $ref: '#/components/schemas/GroupTypeEnum'
    CostCenters:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          example: R&D
          nullable: true
        distribution_percentage:
          type: number
          example: 100
          nullable: true
    GenderEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - male
            - female
            - non_binary
            - other
            - not_disclosed
            - diverse
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    PreferredLanguageEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - aar
            - afr
            - amh
            - ara
            - aym
            - aze
            - bel
            - bul
            - bis
            - ben
            - bos
            - byn
            - cat
            - cha
            - ces
            - dan
            - deu
            - div
            - dzo
            - ell
            - eng
            - spa
            - est
            - fas
            - fan
            - ful
            - fin
            - fij
            - fao
            - fra
            - gle
            - grn
            - guj
            - glv
            - heb
            - hin
            - hrv
            - hat
            - hun
            - hye
            - ind
            - isl
            - ita
            - jpn
            - kat
            - kon
            - kaz
            - kal
            - khm
            - kor
            - kur
            - kir
            - lat
            - ltz
            - lin
            - lao
            - lit
            - lub
            - lav
            - mlg
            - mah
            - mri
            - mkd
            - mon
            - mar
            - msa
            - mlt
            - mya
            - nob
            - nep
            - nld
            - nno
            - nor
            - nbl
            - nya
            - pan
            - pol
            - pus
            - por
            - que
            - rar
            - roh
            - rup
            - ron
            - rus
            - kin
            - sme
            - sag
            - sin
            - slk
            - slv
            - smo
            - sna
            - som
            - sqi
            - srp
            - ssw
            - swe
            - swa
            - tam
            - tel
            - tgk
            - tha
            - tir
            - tig
            - tuk
            - tsn
            - ton
            - tur
            - tso
            - ukr
            - urd
            - uzb
            - ven
            - vie
            - xho
            - zho
            - zul
            - unmapped_value
            - null
          description: The ISO639-2 Code of the language
          example: eng
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    EthnicityEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - white
            - black_or_african_american
            - asian
            - hispanic_or_latino
            - american_indian_or_alaska_native
            - native_hawaiian_or_pacific_islander
            - two_or_more_races
            - not_disclosed
            - other
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    MaritalStatusEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - single
            - married
            - common_law
            - divorced
            - widowed
            - domestic_partnership
            - separated
            - other
            - not_disclosed
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    Image:
      type: object
      properties:
        url:
          type: string
          nullable: true
        base64:
          type: string
          nullable: true
    EmploymentTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - contractor
            - intern
            - permanent
            - apprentice
            - freelance
            - terminated
            - temporary
            - seasonal
            - volunteer
            - probation
            - internal
            - external
            - expatriate
            - employer_of_record
            - casual
            - Programme
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    EmploymentScheduleTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - full_time
            - shifts
            - part_time
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    EmploymentStatusEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - active
            - pending
            - terminated
            - leave
            - inactive
            - unknown
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    CountryCodeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - AF
            - AL
            - DZ
            - AS
            - AD
            - AO
            - AI
            - AQ
            - AG
            - AR
            - AM
            - AW
            - AU
            - AT
            - AZ
            - BS
            - BH
            - BD
            - BB
            - BY
            - BE
            - BZ
            - BJ
            - BM
            - BT
            - BO
            - BQ
            - BA
            - BW
            - BV
            - BR
            - IO
            - BN
            - BG
            - BF
            - BI
            - KH
            - CM
            - CA
            - CV
            - KY
            - CF
            - TD
            - CL
            - CN
            - CX
            - CC
            - CO
            - KM
            - CG
            - CD
            - CK
            - CR
            - HR
            - CU
            - CW
            - CY
            - CZ
            - CI
            - DK
            - DJ
            - DM
            - DO
            - EC
            - EG
            - SV
            - GQ
            - ER
            - EE
            - ET
            - FK
            - FO
            - FJ
            - FI
            - FR
            - GF
            - PF
            - TF
            - GA
            - GM
            - GE
            - DE
            - GH
            - GI
            - GR
            - GL
            - GD
            - GP
            - GU
            - GT
            - GG
            - GN
            - GW
            - GY
            - HT
            - HM
            - VA
            - HN
            - HK
            - HU
            - IS
            - IN
            - ID
            - IR
            - IQ
            - IE
            - IM
            - IL
            - IT
            - JM
            - JP
            - JE
            - JO
            - KZ
            - KE
            - KI
            - KP
            - KR
            - KW
            - KG
            - LA
            - LV
            - LB
            - LS
            - LR
            - LY
            - LI
            - LT
            - LU
            - MO
            - MK
            - MG
            - MW
            - MY
            - MV
            - ML
            - MT
            - MH
            - MQ
            - MR
            - MU
            - YT
            - MX
            - FM
            - MD
            - MC
            - MN
            - ME
            - MS
            - MA
            - MZ
            - MM
            - NA
            - NR
            - NP
            - NL
            - NC
            - NZ
            - NI
            - NE
            - NG
            - NU
            - NF
            - MP
            - 'NO'
            - OM
            - PK
            - PW
            - PS
            - PA
            - PG
            - PY
            - PE
            - PH
            - PN
            - PL
            - PT
            - PR
            - QA
            - RO
            - RU
            - RW
            - RE
            - BL
            - SH
            - KN
            - LC
            - MF
            - PM
            - VC
            - WS
            - SM
            - ST
            - SA
            - SN
            - RS
            - SC
            - SL
            - SG
            - SX
            - SK
            - SI
            - SB
            - SO
            - ZA
            - GS
            - SS
            - ES
            - LK
            - SD
            - SR
            - SJ
            - SZ
            - SE
            - CH
            - SY
            - TW
            - TJ
            - TZ
            - TH
            - TL
            - TG
            - TK
            - TO
            - TT
            - TN
            - TR
            - TM
            - TC
            - TV
            - UG
            - UA
            - AE
            - GB
            - US
            - UM
            - UY
            - UZ
            - VU
            - VE
            - VN
            - VG
            - VI
            - WF
            - EH
            - YE
            - ZM
            - ZW
            - unmapped_value
            - null
          description: The ISO3166-1 Alpha2 Code of the Country
          example: US
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    HRISLocation:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        unified_custom_fields:
          type: object
          description: Custom Unified Fields configured in your StackOne project
          additionalProperties: true
          example:
            my_project_custom_field_1: REF-1236
            my_project_custom_field_2: some other value
          nullable: true
        employee_id:
          type: string
          description: The employee ID
          example: 1687-3
          nullable: true
        remote_employee_id:
          type: string
          description: Provider's unique identifier of the employee
          example: e3cb75bf-aa84-466e-a6c1-b8322b257a48
          nullable: true
        name:
          type: string
          description: The name of the location
          example: Woolsthorpe Manor
          nullable: true
        phone_number:
          type: string
          description: The phone number of the location
          example: +44 1476 860 364
          nullable: true
        street_1:
          type: string
          description: The first line of the address
          example: Water Lane
          nullable: true
        street_2:
          type: string
          description: The second line of the address
          example: Woolsthorpe by Colsterworth
          nullable: true
        city:
          type: string
          description: The city where the location is situated
          example: Grantham
          nullable: true
        state:
          type: string
          description: The state where the location is situated
          example: Lincolnshire
          nullable: true
        zip_code:
          type: string
          description: The ZIP code/Postal code of the location
          example: NG33 5NR
          nullable: true
        country:
          description: The country code
          nullable: true
          allOf:
            - $ref: '#/components/schemas/CountryCodeEnum'
        location_type:
          description: The location type
          example: work
          nullable: true
          allOf:
            - $ref: '#/components/schemas/LocationTypeEnum'
        created_at:
          type: string
          description: The created_at date
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
        updated_at:
          type: string
          description: The updated_at date
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
    Company:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        unified_custom_fields:
          type: object
          description: Custom Unified Fields configured in your StackOne project
          additionalProperties: true
          example:
            my_project_custom_field_1: REF-1236
            my_project_custom_field_2: some other value
          nullable: true
        name:
          type: string
          description: The name of the company
          example: StackOne Technologies PLC
          nullable: true
        full_name:
          type: string
          description: The full name of the company
          example: American Express Company
          nullable: true
        display_name:
          type: string
          description: The display name of the company
          example: StackOne
          nullable: true
        created_at:
          type: string
          description: The created_at date
          example: '2023-02-23T00:00:00.000Z'
          format: date-time
          nullable: true
        updated_at:
          type: string
          description: The updated_at date
          example: '2024-02-23T00:00:00.000Z'
          format: date-time
          nullable: true
    Employment:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        unified_custom_fields:
          type: object
          description: Custom Unified Fields configured in your StackOne project
          additionalProperties: true
          example:
            my_project_custom_field_1: REF-1236
            my_project_custom_field_2: some other value
          nullable: true
        job_title:
          type: string
          description: The job title of the employee
          example: Software Engineer
          nullable: true
        pay_rate:
          type: string
          description: The amount of compensation for the employee
          example: '40.00'
          nullable: true
        pay_period:
          description: The time period over which the pay rate is calculated
          example: monthly
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PayPeriodEnum'
        pay_frequency:
          description: How often the employee is paid
          example: hourly
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PayFrequencyEnum'
        pay_currency:
          type: string
          description: The currency used for pay
          example: USD
          nullable: true
        effective_date:
          type: string
          description: The effective date of the employment contract
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
        end_date:
          type: string
          description: The end date of employment
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
        grade:
          description: >-
            Represents the employee’s position within the organizational
            hierarchy.
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmploymentGradeApiModel'
        employment_type:
          description: The type of employment (e.g., contractor, permanent)
          example: permanent
          deprecated: true
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmploymentTypeEnum'
        employment_contract_type:
          description: The employment work schedule type (e.g., full-time, part-time)
          example: full_time
          deprecated: true
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmploymentScheduleTypeEnum'
        type:
          description: The type of employment
          nullable: true
          allOf:
            - $ref: '#/components/schemas/TypeApiModel'
        contract_type:
          description: The employment work schedule type
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ContractTypeApiModel'
        work_time:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/WorkTimeApiModel'
        payroll_code:
          type: string
          description: The payroll code of the employee
          example: PC1
          nullable: true
        employee_id:
          type: string
          description: The employee ID associated with this employment
          example: 1687-3
          nullable: true
        remote_employee_id:
          type: string
          description: >-
            Provider's unique identifier of the employee associated with this
            employment
          example: e3cb75bf-aa84-466e-a6c1-b8322b257a48
          nullable: true
        fte:
          type: number
          description: the employee's working percentage relative to a full-time employee
          example: '1'
          nullable: true
        created_at:
          type: string
          description: The created_at date
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
        updated_at:
          type: string
          description: The updated_at date
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
        start_date:
          type: string
          description: The start_date of employment
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          deprecated: true
          nullable: true
        active:
          description: The employment active status
          example: true
          oneOf:
            - type: boolean
            - type: string
              enum:
                - 'true'
                - 'false'
          nullable: true
        department:
          description: The employee department
          nullable: true
          allOf:
            - $ref: '#/components/schemas/HRISGroup'
        cost_center:
          description: The employee cost_center
          deprecated: true
          nullable: true
          allOf:
            - $ref: '#/components/schemas/HRISGroup'
        cost_centers:
          description: The employee cost_centers
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/HRISCostCenter'
        division:
          description: The employee division
          nullable: true
          allOf:
            - $ref: '#/components/schemas/HRISGroup'
        job:
          description: The job of employee
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmploymentJobApiModel'
        manager:
          description: The employee manager
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/EmploymentManagerApiModel'
    CustomFields:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          description: The name of the custom field.
          example: Training Completion Status
          nullable: true
        value:
          description: The value associated with the custom field.
          example: Completed
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
            - type: string
              format: date-time
          nullable: true
        value_id:
          type: string
          description: The unique identifier for the value of the custom field.
          example: value_456
          nullable: true
        remote_value_id:
          type: string
          description: Provider's unique identifier for the value of the custom field.
          example: e3cb75bf-aa84-466e-a6c1-b8322b257a48
          nullable: true
    HRISBenefit:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          description: The name of the benefit
          example: Health Insurance
          nullable: true
        benefit_type:
          description: The type of the benefit
          nullable: true
          allOf:
            - $ref: '#/components/schemas/BenefitsTypeEnum'
        provider:
          type: string
          description: The provider of the benefit
          example: Aetna
          nullable: true
        description:
          type: string
          description: The description of the benefit
          example: Health insurance for employees
          nullable: true
        created_at:
          type: string
          description: The date and time the benefit was created
          example: '2021-01-01T00:00:00Z'
          format: date-time
          nullable: true
        updated_at:
          type: string
          description: The date and time the benefit was last updated
          example: '2021-01-01T00:00:00Z'
          format: date-time
          nullable: true
    HRISBankDetails:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        account_name:
          type: string
          description: The name of the bank account
          example: John Doe Primary Account
          nullable: true
        is_primary:
          description: Whether this is the primary bank account
          example: true
          oneOf:
            - type: boolean
            - type: string
              enum:
                - 'true'
                - 'false'
          nullable: true
        country_code:
          description: The country code where the bank is located
          nullable: true
          allOf:
            - $ref: '#/components/schemas/CountryCodeEnum'
        currency_code:
          description: The currency code for the account
          nullable: true
          allOf:
            - $ref: '#/components/schemas/CurrencyCodeEnum'
        bank_name:
          type: string
          description: The name of the bank
          example: Chase Bank
          nullable: true
        account_type:
          description: The type of bank account
          nullable: true
          allOf:
            - $ref: '#/components/schemas/BankAccountTypeEnum'
        iban:
          type: string
          description: International Bank Account Number (IBAN)
          example: GB82WEST12345698765432
          nullable: true
        local_account_number:
          type: string
          description: Local account number (used when IBAN is not available)
          example: '1234567890'
          nullable: true
        swift_bic:
          type: string
          description: SWIFT/BIC code for international transfers
          example: CHASUS33
          nullable: true
        clearing_codes:
          description: Array of clearing codes required by the country
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ClearingCode'
    NationalIdentityNumberApiModel:
      type: object
      properties:
        value:
          type: string
          example: '123456789'
          nullable: true
        type:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/NationalIdentityNumberTypeEnumApiModel'
        country:
          description: The country code
          nullable: true
          allOf:
            - $ref: '#/components/schemas/CountryCodeEnum'
    EntitySkills:
      type: object
      properties:
        id:
          type: string
          description: The ID associated with this skill
          example: 16873-IT345
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          description: The name associated with this skill
          example: Information-Technology
          nullable: true
        active:
          description: Whether the skill is active and therefore available for use
          example: true
          oneOf:
            - type: boolean
            - type: string
              enum:
                - 'true'
                - 'false'
          nullable: true
        language:
          description: The language associated with this skill
          nullable: true
          allOf:
            - $ref: '#/components/schemas/LanguageEnum'
        maximum_proficiency:
          description: The proficiency level of the skill
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Proficiency'
        minimum_proficiency:
          description: The proficiency level of the skill
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Proficiency'
    GroupTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - workspace
            - team
            - department
            - group
            - organization
            - unmapped_value
            - cost_center
            - null
          example: team
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    LocationTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - home
            - work
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    PayPeriodEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - hour
            - day
            - week
            - every_two_weeks
            - month
            - quarter
            - every_six_months
            - year
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    PayFrequencyEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - hourly
            - weekly
            - bi_weekly
            - four_weekly
            - semi_monthly
            - monthly
            - bi_monthly
            - quarterly
            - semi_annually
            - yearly
            - thirteen_monthly
            - pro_rata
            - unmapped_value
            - half_yearly
            - daily
            - fixed
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    EmploymentGradeApiModel:
      type: object
      properties:
        id:
          type: string
          description: The reference id
          example: 1687-3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          description: The reference name
          example: 1687-4
          nullable: true
        description:
          type: string
          description: description of the grade
          example: Mid-level employee demonstrating proficiency and autonomy.
          nullable: true
    TypeApiModel:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        label:
          type: string
          description: The label of the employment type
          example: Permanent
          nullable: true
        type:
          description: The type of employment (e.g., contractor, permanent)
          example: permanent
          nullable: true
          allOf:
            - $ref: '#/components/schemas/TypeEnum'
    ContractTypeApiModel:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        label:
          type: string
          description: The label of the employment type
          example: Full-Time
          nullable: true
        contract_type:
          description: The employment work schedule type (e.g., full-time, part-time)
          example: full_time
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ContractTypeEnum'
    WorkTimeApiModel:
      type: object
      properties:
        duration:
          type: string
          description: The work time duration in ISO 8601 duration format
          example: P0Y0M0DT8H0M0S
          format: duration
          nullable: true
        period:
          description: The period of the work time
          example: month
          nullable: true
          allOf:
            - $ref: '#/components/schemas/WorkTimeUnitEnum'
    HRISCostCenter:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        unified_custom_fields:
          type: object
          description: Custom Unified Fields configured in your StackOne project
          additionalProperties: true
          example:
            my_project_custom_field_1: REF-1236
            my_project_custom_field_2: some other value
          nullable: true
        name:
          type: string
          description: The name of the group
          example: Engineering
          nullable: true
        parent_ids:
          description: The list of parent group ids of the given group
          example:
            - cxIQNjUyNDM0
            - cxIQNjQzNzI0MQ
          nullable: true
          type: array
          items:
            type: string
        remote_parent_ids:
          description: Provider's list of parent group remote ids of the given group
          example:
            - '652434'
            - '6437241'
          nullable: true
          type: array
          items:
            type: string
        owner_ids:
          description: The list of group owner ids of the given group
          example:
            - cxIQNjUyEDM0
            - cxIQNjQzNzA0MQ
          nullable: true
          type: array
          items:
            type: string
        remote_owner_ids:
          description: The list of remote group owner ids of the given group
          example:
            - '475364'
            - '4327652'
          nullable: true
          type: array
          items:
            type: string
        company_id:
          type: string
          description: The id of the company that the group belongs to
          example: '1234567890'
          nullable: true
        remote_company_id:
          type: string
          description: Provider's id of the company that the group belongs to
          example: '1234567890'
          nullable: true
        distribution_percentage:
          type: number
          example: 85
          description: The distribution percentage for cost_center
          nullable: true
        type:
          description: The type of the group
          nullable: true
          allOf:
            - $ref: '#/components/schemas/GroupTypeEnum'
    EmploymentJobApiModel:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        title:
          type: string
          description: Title of the job
          example: Software Engineer
          nullable: true
        description:
          description: The employee job description
          nullable: true
          allOf:
            - $ref: '#/components/schemas/JobDescriptionApiModel'
        owner_id:
          type: string
          description: The owner_id of the job
          example: '5356'
          nullable: true
        parent_id:
          type: string
          description: The parent_id of the job
          example: '7577'
          nullable: true
    EmploymentManagerApiModel:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          description: The manager name
          example: John Doe
          nullable: true
        email:
          type: string
          description: The manager email
          example: john.doe@example.com
          nullable: true
        role:
          description: The role of manager
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ManagerRoleApiModel'
    BenefitsTypeEnum:
      type: object
      properties:
        value:
          type: string
          description: The type of the benefit
          enum:
            - retirement_savings
            - health_savings
            - other
            - health_insurance
            - insurance
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    CurrencyCodeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHF
            - CLP
            - CNY
            - COP
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STN
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - UYU
            - UZS
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XDR
            - XOF
            - XPF
            - YER
            - ZAR
            - ZMW
            - ZWL
            - unmapped_value
            - null
          description: ISO 4217 currency code
          example: USD
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          example: USD
          nullable: true
    BankAccountTypeEnum:
      type: object
      properties:
        value:
          type: string
          description: The type of bank account
          enum:
            - savings
            - checking
            - current
            - business
            - personal
            - other
            - unmapped_value
            - null
          example: checking
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          example: checking
          nullable: true
    ClearingCode:
      type: object
      properties:
        type:
          description: The type of clearing code
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ClearingCodeTypeEnum'
        value:
          type: string
          description: The clearing code value
          example: 12-34-56
          nullable: true
    NationalIdentityNumberTypeEnumApiModel:
      type: object
      properties:
        value:
          type: string
          enum:
            - ssn
            - nin
            - sin
            - nid
            - pin
            - pn
            - umcn
            - pic
            - ric
            - idnum
            - cid
            - nidnr
            - pan
            - aadhaar
            - epic
            - ptn
            - itin
            - tin
            - uprc
            - pcode
            - ssi
            - cedula
            - passport
            - voterid
            - ntin
            - bn
            - fnr
            - mva
            - civil_id
            - cnic
            - nric
            - fin
            - uen
            - registrationnumber
            - nic
            - personnummer
            - ahv
            - id
            - eid
            - va
            - pid
            - nrt
            - nipt
            - cbu
            - cuit
            - dni
            - businessid
            - vnr
            - abn
            - acn
            - tfn
            - jmbg
            - bis
            - insz
            - nn
            - egn
            - pnf
            - vat
            - cnpj
            - unp
            - gst
            - pst
            - qst
            - ni
            - dic
            - rc
            - uid
            - rut
            - uscc
            - cpf
            - cpj
            - cr
            - stnr
            - svnr
            - ncf
            - rnc
            - nif
            - ci
            - ik
            - kmkr
            - registrikood
            - tn
            - ruc
            - nit
            - alv
            - hetu
            - ytunnus
            - vn
            - utr
            - nifp
            - amka
            - cui
            - nir
            - siren
            - siret
            - tva
            - oib
            - hkid
            - anum
            - kennitala
            - vsk
            - npwp
            - pps
            - gstin
            - idnr
            - hr
            - aic
            - codicefiscale
            - iva
            - peid
            - asmens
            - pvm
            - ctps
            - vrn
            - vtk
            - int
            - tk
            - pas
            - rne
            - rg
            - nci
            - crnm
            - pis
            - insee
            - tax
            - mpf
            - epfo
            - esi
            - pran
            - uan
            - idk
            - bsn
            - mid
            - sss
            - nie
            - nss
            - arc
            - curp
            - imss
            - rfc
            - ein
            - other
            - unknown
            - unmapped_value
            - null
          description: The type of the national identity number
          example: ssn
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    LanguageEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - ar_AR
            - aa_ER
            - af_NA
            - af_ZA
            - am_ET
            - ar_AE
            - ar_BH
            - ar_DJ
            - ar_DZ
            - ar_EG
            - ar_ER
            - ar_IQ
            - ar_JO
            - ar_KM
            - ar_KW
            - ar_LB
            - ar_LY
            - ar_MA
            - ar_MR
            - ar_OM
            - ar_PS
            - ar_QA
            - ar_SA
            - ar_SD
            - ar_SY
            - ar_TD
            - ar_TN
            - ar_YE
            - ay_BO
            - ay_PE
            - az_AZ
            - az_IR
            - be_BY
            - bg_BG
            - bi_VU
            - bn_BD
            - bn_IN
            - bs_BA
            - bs-ME
            - byn_ER
            - ca_AD
            - ca_ES
            - ca_FR
            - ca_IT
            - ch_GU
            - cs_CZ
            - da_DK
            - de_AT
            - de_BE
            - de_CH
            - de_DE
            - de_LI
            - de_LU
            - de_VA
            - de_MV
            - dv_MV
            - dz_BT
            - el_CY
            - el_GR
            - en_AG
            - en_AI
            - en_AS
            - en_AU
            - en_BB
            - en_BE
            - en_BM
            - en_BS
            - en_BW
            - en_BZ
            - en_CA
            - en_CC
            - en_CK
            - en_CM
            - en_CW
            - en_CX
            - en_DG
            - en_DM
            - en_ER
            - en_FJ
            - en_FK
            - en_FM
            - en_GB
            - en_GD
            - en_GG
            - en_GH
            - en_GI
            - en_GM
            - en_GS
            - en_GU
            - en_GY
            - en_HK
            - en_IE
            - en_IM
            - en_IN
            - en_IO
            - en_JE
            - en_JM
            - en_KE
            - en_KI
            - en_KN
            - en_KY
            - en_LC
            - en_LR
            - en_LS
            - en_MF
            - en_MG
            - en_MH
            - en_MO
            - en_MP
            - en_MS
            - en_MT
            - en_MU
            - en_MW
            - en_MY
            - en_NA
            - en_NF
            - en_NG
            - en_NL
            - en_NR
            - en_NU
            - en_NZ
            - en_PG
            - en_PH
            - en_PK
            - en_PN
            - en_PR
            - en_PW
            - en_RW
            - en_SB
            - en_SC
            - en_SD
            - en_SG
            - en_SH
            - en_SL
            - en_SS
            - en_SX
            - en_SZ
            - en_TC
            - en_TK
            - en_TO
            - en_TT
            - en_TV
            - en_TZ
            - en_UG
            - en_UM
            - en_US
            - en_VC
            - en_VG
            - en_VI
            - en_VU
            - en_WS
            - en_ZA
            - en_ZM
            - en_ZW
            - es_AR
            - es_BO
            - es_BZ
            - es_CL
            - es_CO
            - es_CR
            - es_CU
            - es_DO
            - es_EA
            - es_EC
            - es_EH
            - es_ES
            - es_GQ
            - es_GT
            - es_HN
            - es_IC
            - es_LA
            - es_MX
            - es_NI
            - es_PA
            - es_PE
            - es_PH
            - es_PR
            - es_PY
            - es_SV
            - es_US
            - es_UY
            - es_VE
            - et_EE
            - fa_AF
            - fa_IR
            - fan_GA
            - ff_CM
            - ff_GN
            - ff_MR
            - ff_SN
            - ff_BF
            - fi_FI
            - fj_FJ
            - fo_FO
            - fr_BE
            - fr_BF
            - fr_BI
            - fr_BJ
            - fr_BL
            - fr_CA
            - fr_CD
            - fr_CF
            - fr_CG
            - fr_CH
            - fr_CI
            - fr_CM
            - fr_DJ
            - fr_DZ
            - fr_FR
            - fr_GA
            - fr_GF
            - fr_GG
            - fr_GN
            - fr_GP
            - fr_GQ
            - fr_HT
            - fr_KM
            - fr_JE
            - fr_LU
            - fr_LB
            - fr_MA
            - fr_MC
            - fr_MF
            - fr_MG
            - fr_ML
            - fr_MQ
            - fr_MR
            - fr_MU
            - fr_NC
            - fr_NE
            - fr_PF
            - fr_PM
            - fr_RE
            - fr_RW
            - fr_SC
            - fr_SN
            - fr_SY
            - fr_TD
            - fr_TF
            - fr_TG
            - fr_TN
            - fr_VU
            - fr_VA
            - fr_WF
            - fr_YT
            - ga_IE
            - gn_PY
            - gn_AR
            - gu_IN
            - gv_IM
            - he_IL
            - hi_IN
            - hr_BA
            - hr_HR
            - hr_ME
            - ht_HT
            - hu_HU
            - hy_AM
            - hy_CY
            - id_ID
            - is_IS
            - it_CH
            - it_IT
            - it_SM
            - it_VA
            - ja_JP
            - ka_GE
            - kg_CD
            - kk_KZ
            - kl_GL
            - km_KH
            - ko_KP
            - ko_KR
            - ku_IQ
            - ky_KG
            - la_VA
            - lb_LU
            - ln_AO
            - ln_CD
            - ln_CF
            - ln_CG
            - lo_LA
            - lt_LT
            - lu_CD
            - lv_LV
            - mg_MG
            - mh_MH
            - mi_NZ
            - mk_MK
            - mn_MN
            - mr_IN
            - ms_BN
            - ms_MY
            - ms_SG
            - mt_MT
            - my_MM
            - nb_NO
            - nb_BV
            - nb_ZW
            - ne_NP
            - nl_AW
            - nl_BE
            - nl_BQ
            - nl_CW
            - nl_NL
            - nl_SR
            - nl_SX
            - nl_MF
            - nn_NO
            - nn_BV
            - no_NO
            - no_BV
            - no_SJ
            - nr_ZA
            - ny_MW
            - pa_IN
            - pa_PK
            - pl_PL
            - ps_AF
            - pt_AO
            - pt_BR
            - pt_CH
            - pt_CV
            - pt_GQ
            - pt_GW
            - pt_LU
            - pt_MO
            - pt_MZ
            - pt_PT
            - pt_ST
            - pt_TL
            - qu_BO
            - qu_EC
            - qu_PE
            - rar_CK
            - rm_CH
            - rup_MK
            - ro_MD
            - ro_RO
            - ru_BY
            - ru_KG
            - ru_KZ
            - ru_MD
            - ru_RU
            - ru_UA
            - ru_AQ
            - ru_TJ
            - ru_TM
            - ru_UZ
            - rw_RW
            - se_SE
            - sg_CF
            - si_LK
            - sk_SK
            - sl_SI
            - sm_AS
            - sm_WS
            - sn_ZW
            - so_DJ
            - so_ET
            - so_KE
            - so_SO
            - sq_AL
            - sq_ME
            - sq_XK
            - sr_BA
            - sr_ME
            - sr_RS
            - sr_XK
            - ss_SZ
            - ss_ZA
            - sv_AX
            - sv_FI
            - sv_SE
            - sw_KE
            - sw_TZ
            - sw_UG
            - sw_CD
            - ta_IN
            - ta_MY
            - ta_SG
            - ta_LK
            - te_IN
            - tg_TJ
            - th_TH
            - ti_ER
            - ti_ET
            - tig_ER
            - tk_TM
            - tk_AF
            - tn_BW
            - tn_ZA
            - to_TO
            - tr_CY
            - tr_TR
            - ts_ZA
            - uk_UA
            - ur_IN
            - ur_PK
            - uz_AF
            - uz_UZ
            - ve_ZA
            - vi_VN
            - xh_ZA
            - zh_CN
            - zh_HK
            - zh_MO
            - zh_SG
            - zh_TW
            - zu_ZA
            - unmapped_value
            - null
          description: The Locale Code of the language
          example: en_GB
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    Proficiency:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          description: The name associated with this proficiency
          example: Expert
          nullable: true
        value:
          type: string
          enum:
            - '1'
            - '2'
            - '3'
            - '4'
            - '5'
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    TypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - contractor
            - intern
            - permanent
            - apprentice
            - freelance
            - terminated
            - temporary
            - seasonal
            - volunteer
            - probation
            - internal
            - external
            - expatriate
            - employer_of_record
            - casual
            - Programme
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    ContractTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - full_time
            - shifts
            - part_time
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    WorkTimeUnitEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - day
            - week
            - month
            - year
            - unmapped_value
            - null
          description: The unified value for the period.
          example: month
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    ManagerRoleApiModel:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        label:
          type: string
          description: The label of the role type
          example: Admin
          nullable: true
        role_type:
          description: The manager role type (e.g., admin, viewer)
          example: admin
          nullable: true
          allOf:
            - $ref: '#/components/schemas/RoleTypeEnum'
    ClearingCodeTypeEnum:
      type: object
      properties:
        value:
          type: string
          description: The type of clearing code
          enum:
            - sort_code
            - building_society_reference
            - aba_routing
            - chips_participant_id
            - transit_number
            - institution_number
            - bsb_code
            - ifsc_code
            - micr_code
            - clabe
            - cnaps_code
            - ch_bank_clearing_code
            - ch_sic_code
            - zengin_code
            - nz_clearing_code
            - hk_bank_code
            - blz
            - at_bankleitzahl
            - nuban
            - se_bankgiro_code
            - unmapped_value
            - null
          example: sort_code
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          example: sort_code
          nullable: true
    RoleTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - admin
            - viewer
            - editor
            - basic
            - guest
            - unassigned
            - restricted
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
  securitySchemes:
    basic:
      type: http
      scheme: basic

````